| Home | Libraries | People | FAQ | More

## Struct is_iless

boost::algorithm::is_iless — case insensitive version of is_less

## Synopsis

    // In header: <boost/algorithm/string/compare.hpp>

    struct is_iless {
      // construct/copy/destruct
      is_iless(const std::locale & = std::locale());

      // public member functions
      template<typename T1, typename T2>
        bool operator()(const T1 &, const T2 &) const;
    };

## Description

Case insensitive comparison predicate. Comparison is done using specified locales.

### `is_iless` public construct/copy/destruct

1.     is_iless(const std::locale & Loc = std::locale());

   Constructor.

   Parameters: |
   `Loc` | locales used for comparison

### `is_iless` public member functions

1.     template<typename T1, typename T2>
         bool operator()(const T1 & Arg1, const T2 & Arg2) const;

   Function operator.

   Compare two operands. Case is ignored.